This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 698985 - [Crestline] X does not display on my external monitor
[Crestline] X does not display on my external monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:rendering]
: Triaged
Depends On:
Blocks: 698986
  Show dependency treegraph
 
Reported: 2011-04-22 10:16 EDT by Jeffrey Moyer
Modified: 2012-08-07 10:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 10:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/Xorg.0.log (47.13 KB, text/plain)
2011-04-22 10:16 EDT, Jeffrey Moyer
no flags Details
dmesg output for a failed attempt to turn off the laptop display (123.50 KB, text/plain)
2011-07-14 09:31 EDT, Jeffrey Moyer
no flags Details
/var/log/messages for this boot (101.23 KB, text/plain)
2011-07-14 09:34 EDT, Jeffrey Moyer
no flags Details

  None (edit)
Description Jeffrey Moyer 2011-04-22 10:16:10 EDT
Created attachment 494231 [details]
/var/log/Xorg.0.log

Description of problem:
When plugging an external monitor into the VGA port on my laptop, both screens are active and working properly by default.  If I try to disable the laptop screen, however, the external display is quite corrupt, showing horizontally shifting black and gray bars.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.14.0-5.fc15.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Connect external monitor
2. turn laptop on
3. login
4. open the display configuration dialog
5. disable the laptop display and click apply
  
Actual results:
The external monitor displays garbage.

Expected results:
The external display works properly.

Additional info:
System Information
        Manufacturer: Dell Inc.
        Product Name: Inspiron 1420                   

Here's the lspci -v information for the graphics card:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA controller])
        Subsystem: Dell Inspiron 1420
        Flags: bus master, fast devsel, latency 0, IRQ 45
        Memory at fea00000 (64-bit, non-prefetchable) [size=1M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at eff8 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 3
        Kernel driver in use: i915
        Kernel modules: i915

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
        Subsystem: Dell Dell Inspiron 1420
        Flags: bus master, fast devsel, latency 0
        Memory at feb00000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [d0] Power Management version 3
Comment 1 Ohad Levy 2011-05-25 02:55:39 EDT
I can reproduce this with newly upgraded F15 as well
Comment 2 Matěj Cepl 2011-06-13 08:34:27 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jeffrey Moyer 2011-07-14 09:31:07 EDT
Created attachment 512898 [details]
dmesg output for a failed attempt to turn off the laptop display

I booted with drm.debug=0x04, and here is the dmesg output.  I'll also attach a full syslog for the boot.  The system was up for a while before I finally ran the test.
Comment 4 Jeffrey Moyer 2011-07-14 09:34:20 EDT
Created attachment 512901 [details]
/var/log/messages for this boot
Comment 5 Fedora End Of Life 2012-08-07 10:41:12 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.